RTE_Components.h File Reference

Go to the source code of this file.

## Macros

#define | CMSIS_device_header "LPC17xx.h"
#define | RTE_DEVICE_STARTUP_LPC17XX /* Device Startup for NXP17XX */
#define | RTE_Drivers_I2C0 /* Driver I2C0 */
#define | RTE_Drivers_I2C1 /* Driver I2C1 */
#define | RTE_Drivers_I2C2 /* Driver I2C2 */
#define | RTE_Drivers_SPI0 /* Driver SPI0 */
#define | RTE_Drivers_SPI1 /* Driver SPI1 */
#define | RTE_Drivers_SPI2 /* Driver SPI2 */

## Macro Definition Documentation

## CMSIS_device_header

#define CMSIS_device_header "LPC17xx.h"

## RTE_DEVICE_STARTUP_LPC17XX

#define RTE_DEVICE_STARTUP_LPC17XX /* Device Startup for NXP17XX */

## RTE_Drivers_I2C0

#define RTE_Drivers_I2C0 /* Driver I2C0 */

## RTE_Drivers_I2C1

#define RTE_Drivers_I2C1 /* Driver I2C1 */

## RTE_Drivers_I2C2

#define RTE_Drivers_I2C2 /* Driver I2C2 */

## RTE_Drivers_SPI0

#define RTE_Drivers_SPI0 /* Driver SPI0 */

## RTE_Drivers_SPI1

#define RTE_Drivers_SPI1 /* Driver SPI1 */

## RTE_Drivers_SPI2

#define RTE_Drivers_SPI2 /* Driver SPI2 */